Rygel.MediaEngine.create_data_source_for_resource – librygel-server Reference Manual

# create_data_source_for_resource

## Description:

public abstract DataSource? create_data_source_for_resource (MediaObject item, MediaResource resource) throws Error

Get a #DataSource for given #MediaResource representation of the #MediaObject.

## Parameters:

item | The #MediaObject to create the #DataSource for
resource | The specific resource to create the #DataSource for

## Returns:

A #DataSource representing the given item resource